library(stockassessment)
load("run/model.RData")
FC<-list()
Ry <- 2012:2021 # years to sample for recruitment, 10 years and exclude last 2 years
#BioY <- BioY # years for bio data e.g. M but here is as default
CIntY <- 7369 # catch in interim year, since we know by now catch for 2023
Fmsy <- 0.3
Flower <- 0.2
Fupper <- 0.4
Flim <- 0.5
Fpa <- 0.45
Blim  <- 5000
BTrigger  <-8000
Bpa  <- 8000
#Fsq <- 0.2


set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,Fmsy,Fmsy), fscale=c(1,NA,NA,NA), catchval=c(NA,CIntY,NA,NA), label="Fmsy", rec.years=Ry, savesim=TRUE, processNoiseF=FALSE) # fish at FMSY from 2024

set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,Flower,Flower), fscale=c(1,NA,NA,NA), catchval=c(NA,CIntY,NA,NA), label="MSY approach, Fmsy lower", rec.years=Ry, savesim=TRUE, processNoiseF=FALSE)

save(FC, file="run/forecast.RData")
